Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Interface Scenario

All Superinterfaces
  Cloneable, Comparable, ScenarioInfo, Serializable

    public interface Scenario

extends ScenarioInfo

A scenario's runtime definition.

Field Summary
`static short` | `AND` Boolean AND logic.
`static short` | `OR` Boolean OR logic.

Method Summary
`boolean` | `checksClassifications()` Does the scenario check for Classifications.
`String` | `getClassifiersRulesetName()` The name of the classifier's ruleset to use.
`long` | `getLastModified()` The last time this scenario was modified.
`String` | `getScenarioRulesetName()` The name of the scenario's ruleset.
`List` | `getValidClassificationNames()` The list of classification names for which this scenario is valid.
`short` | `getValidClassificationsLogic()` Get the valid classifications boolean logic.
`Collection` | `getValidEventTypes()` The list of event types the scenario ruleset checks for.

Methods inherited from interface com.bea.campaign.ScenarioInfo
`getActiveFlag, getDescription, getName, getUniqueId`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### AND

    static final short AND

  Boolean AND logic.

  See Also
    Constants Summary

### OR

    static final short OR

  Boolean OR logic.

  See Also
    Constants Summary

Method Detail

### getLastModified

    long getLastModified()

  The last time this scenario was modified.

### getValidClassificationNames

    List getValidClassificationNames()

  The list of classification names for which this scenario is valid.

  Empty list implies being valid for any user.

  Returns
    the list of String names.

### getValidClassificationsLogic

    short getValidClassificationsLogic()

  Get the valid classifications boolean logic.

  Returns
    AND or OR.

### getScenarioRulesetName

    String getScenarioRulesetName()

  The name of the scenario's ruleset.

### getClassifiersRulesetName

    String getClassifiersRulesetName()

  The name of the classifier's ruleset to use.

### checksClassifications

    boolean checksClassifications()

  Does the scenario check for Classifications.

### getValidEventTypes

    Collection getValidEventTypes()

  The list of event types the scenario ruleset checks for.

  Returns
    the list of valid event types (null for none).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.